﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:2.0.50727.42
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Gitrdone {
    
    
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "8.0.0.0")]
    internal sealed partial class Prefs : global::System.Configuration.ApplicationSettingsBase {
        
        private static Prefs defaultInstance = ((Prefs)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new Prefs())));
        
        public static Prefs Default {
            get {
                return defaultInstance;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("")]
        public string DefaultRepo {
            get {
                return ((string)(this["DefaultRepo"]));
            }
            set {
                this["DefaultRepo"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        [global::System.Configuration.DefaultSettingValueAttribute("\"\"")]
        public string GitDir {
            get {
                return ((string)(this["GitDir"]));
            }
            set {
                this["GitDir"] = value;
            }
        }
        
        [global::System.Configuration.UserScopedSettingAttribute()]
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
        public global::System.Collections.Specialized.StringCollection Repos {
            get {
                return ((global::System.Collections.Specialized.StringCollection)(this["Repos"]));
            }
            set {
                this["Repos"] = value;
            }
        }
    }
}
